---
title: NavigatorID.product
slug: Web/API/NavigatorID/product
tags:
  - API
  - Deprecated
  - NavigatorID
  - Property
  - Reference
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The value of the <strong><code>NavigatorID.product</code></strong> property is always "<code>Gecko</code>", in any browser. This property is kept only for compatibility purposes.</p>

<div class="note"><strong>Note:</strong> Do not rely on this property to return a real product name. All browsers return "<code>Gecko</code>" as the value of this property.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>productName</em> = navigator.product
</pre>

<h3 id="Value">Value</h3>

<p>The string "<code>Gecko</code>".</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-navigator-product', 'NavigatorID.product')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.NavigatorID.product")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("NavigatorID.appCodeName")}}</li>
 <li>{{domxref("NavigatorID.appName")}}</li>
</ul>
